Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.pipe
Class OperatorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  cascading.CascadingException
                      cascading.pipe.OperatorException

All Implemented Interfaces:
  Serializable

    public class OperatorException

extends CascadingException

Class OperatorException is thrown during field name resolution during planning

See Also:
  Serialized Form

Constructor Summary
`` | `OperatorException()`
`` | `OperatorException(Pipe pipe, Fields incomingFields, Fields declaredFields, Fields outputSelector, Throwable throwable)` Constructor OperatorException creates a new OperatorException instance.
`` | `OperatorException(Pipe pipe, cascading.pipe.OperatorException.Kind kind, Fields incomingFields, Fields selectorFields, Throwable throwable)` Constructor OperatorException creates a new OperatorException instance.
`` | `OperatorException(Pipe pipe, String string)` Constructor OperatorException creates a new OperatorException instance.
`` | `OperatorException(Pipe pipe, String string, Throwable throwable)` Constructor OperatorException creates a new OperatorException instance.
`protected` | `OperatorException(String string)`
`protected` | `OperatorException(String string, Throwable throwable)`
`protected` | `OperatorException(Throwable throwable)`

Method Summary
`Fields` | `getArgumentSelector()` Method getArgumentSelector returns the argumentSelector of this OperatorException object.
`Fields` | `getDeclaredFields()` Method getDeclaredFields returns the declaredFields of this OperatorException object.
`Fields` | `getGroupingSelector()` Method getGroupingSelector returns the groupingSelector of this OperatorException object.
`Fields` | `getIncomingFields()` Method getIncomingFields returns the incomingFields of this OperatorException object.
`Fields` | `getOutputSelector()` Method getOutputSelector returns the outputSelector of this OperatorException object.
`Fields` | `getSortingSelector()` Method getSortingSelector returns the sortingSelector of this OperatorException object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperatorException

    public OperatorException()

See Also:
  `CascadingException.CascadingException()`

### OperatorException

    public OperatorException(Pipe pipe,
                             String string)

  Constructor OperatorException creates a new OperatorException instance.

  Parameters:
    `pipe` - of type Pipe
    `string` - of type String

### OperatorException

    public OperatorException(Pipe pipe,
                             String string,
                             Throwable throwable)

  Constructor OperatorException creates a new OperatorException instance.

  Parameters:
    `pipe` - of type Pipe
    `string` - of type String
    `throwable` - of type Throwable

### OperatorException

    protected OperatorException(String string)

See Also:
  `CascadingException.CascadingException(String)`

### OperatorException

    protected OperatorException(String string,
                                Throwable throwable)

See Also:
  `CascadingException.CascadingException(String, Throwable)`

### OperatorException

    protected OperatorException(Throwable throwable)

See Also:
  `CascadingException.CascadingException(Throwable)`

### OperatorException

    public OperatorException(Pipe pipe,
                             Fields incomingFields,
                             Fields declaredFields,
                             Fields outputSelector,
                             Throwable throwable)

  Constructor OperatorException creates a new OperatorException instance.

  Parameters:
    `pipe` - of type Pipe
    `incomingFields` - of type Fields
    `declaredFields` - of type Fields
    `outputSelector` - of type Fields
    `throwable` - of type Throwable

### OperatorException

    public OperatorException(Pipe pipe,
                             cascading.pipe.OperatorException.Kind kind,
                             Fields incomingFields,
                             Fields selectorFields,
                             Throwable throwable)

  Constructor OperatorException creates a new OperatorException instance.

  Parameters:
    `pipe` - of type Pipe
    `kind` - of type Kind
    `incomingFields` - of type Fields
    `selectorFields` - of type Fields
    `throwable` - of type Throwable

Method Detail

### getIncomingFields

    public Fields getIncomingFields()

  Method getIncomingFields returns the incomingFields of this OperatorException object.

  Returns:
    the incomingFields (type Fields) of this OperatorException object.

### getArgumentSelector

    public Fields getArgumentSelector()

  Method getArgumentSelector returns the argumentSelector of this OperatorException object.

  Returns:
    the argumentSelector (type Fields) of this OperatorException object.

### getGroupingSelector

    public Fields getGroupingSelector()

  Method getGroupingSelector returns the groupingSelector of this OperatorException object.

  Returns:
    the groupingSelector (type Fields) of this OperatorException object.

### getSortingSelector

    public Fields getSortingSelector()

  Method getSortingSelector returns the sortingSelector of this OperatorException object.

  Returns:
    the sortingSelector (type Fields) of this OperatorException object.

### getDeclaredFields

    public Fields getDeclaredFields()

  Method getDeclaredFields returns the declaredFields of this OperatorException object.

  Returns:
    the declaredFields (type Fields) of this OperatorException object.

### getOutputSelector

    public Fields getOutputSelector()

  Method getOutputSelector returns the outputSelector of this OperatorException object.

  Returns:
    the outputSelector (type Fields) of this OperatorException object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.